# Portal MEC

[![build status](https://ci.gitlab.c3sl.ufpr.br/projects/19/status.png?ref=master)](https://ci.gitlab.c3sl.ufpr.br/projects/19?ref=master)

## Requirements
 * ruby >=2.2
 * rvm
 * Elastic Search
 * Postgres
 * OrientDB
 
 
## Database

## Setup
To setup the rails app, will be needed run active record migrations, 
orient db migrations and populate active record database:
 * ``` rake db:migrate ```
 * ``` rake db:seed ```
 * ``` rake orientdb:migrate ```

## Definitions
Some definitions and vocabulary of project domain model.

## Deploy
Before deploy, some env vars need be set:
 
 ### Secrets
  * SECRET_TOKEN
  * SECRET_KEY_BASE
  
 ### Active Record database
  * PORTALMEC_DB_NAME
  * PORTALMEC_DB_USERNAME
  * PORTALMEC_DB_PASSWORD
  
 ### Orient Db database
  * PORTALMEC_ORIENTDB_HOST
  * PORTALMEC_ORIENTDB_DATABASE
  * PORTALMEC_ORIENTDB_USERNAME
  * PORTALMEC_ORIENTDB_PASSWD
  * PORTALMEC_ORIENTDB_PORT
  
 ### Rails environment
  * RAILS_SERVE_STATIC_FILES - default is FALSE
  * RAILS_ENV: production, test or development
 
Run: ```
 $ mina setup
 $ mina deploy
 ```