class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :null_session
  before_action :configure_permitted_parameters, if: :devise_controller?

  def repository
    Portalmec::Application.repository
  end

  protected

  def configure_permitted_parameters
    devise_parameter_sanitizer.for(:sign_up) << :name
  end

  def dspace_service
    @dspace_service ||= DspaceService.new(
        DspaceService.create_dspace_client(
            Rails.application.secrets.dspace_host,
            get_dspace_authenticable_token
        )
    )
  end

  def get_dspace_authenticable_token
    session[:dspace_auth_token] || nil
  end

end
