class LearningObject
  include ActiveModel::Model

  attr_accessor :id,
                :name, :description, :thumbnail, :date_creation, :last_modified,
                :id_dspace, :type, :bitstreams, :metadata
  attr_accessor :likes, :views

  def subjects
    @subjects ||= learning_object_repository.get_subjects(self)
  end

  def get_metadata_value_of key
    values = @metadata.select { |v|  v["key"] == key }
    unless values.empty?
      return values.first["value"]
    end
  end

  private

  def learning_object_repository
    Portalmec::Application.repository.for :learning_object
  end

end
