# This proxy will keep postgres and orientdb syncronized
#   When some client call UserRepositoryProxy, it will delegate the missing methods for ActiveRecord User model
class UserRepositoryProxy

  def initialize(orientdb_user_repository)
    @orientdb_user_repository = orientdb_user_repository
  end

  def create_graph_node(user)
    orientdb_user_repository.create_graph_node user
  end

  def get_graph_id(user)
    orientdb_user_repository.get_graph_id user
  end

  def destroy_graph_node(user)
    orientdb_user_repository.destroy_graph_node user
  end

  def method_missing(method_name, *arguments, &block)
    User.send(method_name, *arguments, &block)
  end

  def respond_to?(method_name, include_private = false)
    User.respond_to?(method_name) || super
  end

  private

  attr_reader :orientdb_user_repository

end
