require 'yaml'

# connect to orientdb server
orientdb_configs = YAML.load_file Rails.root.join('config').to_s.concat('/orientdb.yml')
env_config = orientdb_configs.fetch(Rails.env)

OrientDb::Config.host = env_config['host']
OrientDb::Config.database = env_config['database']
OrientDb::Config.user = env_config['username']
OrientDb::Config.password = env_config['password']

Repository::Environments.create :development do |repository|
  repository.register :learning_object, OrientDb::LearningObjectRepository.new(OrientDb::Client.instance)
  repository.register :mainPage, OrientDb::MainPageRepository.new(OrientDb::Client.instance)
  repository.register :webLink, OrientDb::WeblinkRepository.new(OrientDb::Client.instance)
  repository.register :user, UserRepositoryProxy.new(OrientDb::UserRepository.new(OrientDb::Client.instance))
  repository.register :carousel, OrientDb::CarouselRepository.new(OrientDb::Client.instance)
end

Repository::Environments.create :test do |repository|
  repository.register :learning_object, OrientDb::LearningObjectRepository.new(OrientDb::Client.instance)
  repository.register :mainPage, OrientDb::MainPageRepository.new(OrientDb::Client.instance)
  repository.register :webLink, OrientDb::WeblinkRepository.new(OrientDb::Client.instance)
  repository.register :carousel, OrientDb::CarouselRepository.new(OrientDb::Client.instance)
  repository.register :user, UserRepositoryProxy.new(OrientDb::UserRepository.new(OrientDb::Client.instance))
end

Repository::Environments.create :production do |repository|
  repository.register :learning_object, OrientDb::LearningObjectRepository.new(OrientDb::Client.instance)
  repository.register :mainPage, OrientDb::MainPageRepository.new(OrientDb::Client.instance)
  repository.register :webLink, OrientDb::WeblinkRepository.new(OrientDb::Client.instance)
  repository.register :carousel, OrientDb::CarouselRepository.new(OrientDb::Client.instance)
  repository.register :user, UserRepositoryProxy.new(OrientDb::UserRepository.new(OrientDb::Client.instance))
end