namespace :mainPage do
  desc "Generate the MainPage"
  task :highlights => :environment do
    repository = Portalmec::Application.repository

    puts 'Generating the main page highlights'
    objects = repository.for(:learningObjet).find_all
    objects = objects.collect do |object|
      likes = repository.for(:learningObjet).get_likes(object['@rid']).size()
      views = repository.for(:learningObjet).get_views(object['@rid']).size()
      downloads = repository.for(:learningObjet).get_downloads(object['@rid']).size()
      Ranking::Item.new(object['@rid'],views,downloads,likes)
    end
    rater = Ranking::Rater.new(Ranking::Strategies::BasicRater.new(1000,1,100))
    objects = rater.sortByRate(objects).take(5)

    mainPage = repository.for(:mainPage).find_all[0]
    rid = mainPage['@rid']
    repository.for(:mainPage).update(rid,'set','highlights','[]')
    objects.each do |object|
      repository.for(:mainPage).update(rid,'add','highlights',object.name)
    end

    puts 'Generate the main page subject highlights'
    # TODO: generate
  end
end
